mscorlib 4.0.0.0 System.Object To be added.

The class encodes some common patterns into methods that pick up default settings, which are configurable through its constructors.

A default instance of is available through the property.

Provides support for creating and scheduling objects.

- Constructor
  4.0.0.0

  This constructor creates a instance with a default configuration. The property is initialized to , the property is initialized to , and the property is initialized to the current scheduler (see ).

  Initializes a instance with the default configuration.

- Constructor
  4.0.0.0

  This constructor creates a instance with a default configuration. The property is initialized to , the property is initialized to , and the property is initialized to the current scheduler (see ).

  Initializes a instance with the default configuration.

  The default cancellation token that will be assigned to tasks created by this unless another cancellation token is explicitly specified when calling the factory methods.
- Constructor
  4.0.0.0

  With this constructor, the property is initialized to , the property is initialized to , and the property is initialized to , unless it's null, in which case the property is initialized to the current scheduler (see ).

  Initializes a instance with the specified configuration.

  The scheduler to use to schedule any tasks created with this . A null value indicates that the current should be used.
- Constructor
  4.0.0.0

  With this constructor, the property is initialized to , the property is initialized to , and the property is initialized to the current scheduler (see ).

  Initializes a instance with the specified configuration.

  The default options to use when creating tasks with this .
  The default options to use when creating continuation tasks with this .
- Constructor
  4.0.0.0

  With this constructor, the property is initialized to , the property is initialized to , and the property is initialized to , unless it's null, in which case the property is initialized to the current scheduler (see ).

  Initializes a instance with the specified configuration.

  The default cancellation token that will be assigned to tasks created by this unless another cancellation token is explicitly specified when calling the factory methods.
  The default options to use when creating tasks with this .
  The default options to use when creating continuation tasks with this .
  The default scheduler to use to schedule any tasks created with this . A null value indicates that should be used.
- Property
  4.0.0.0
  System.Threading.CancellationToken To be added.

  This property returns the default cancellation token that will be assigned to all tasks created by this factory unless another cancellation token value is explicitly specified during the call to the task factory methods.

  Gets the default cancellation token for this task factory.

- Property
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions To be added.

  This property returns the default continuation options for this factory. They will be used to create all continuation tasks unless other options are explicitly specified during calls to this factory's methods.

  Gets the enumeration value for this task factory.

- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Threading.Tasks.TaskCreationOptions To be added.

  This property returns the default creation options for this factory. They will be used to create all tasks unless other options are explicitly specified during calls to this factory's methods.

  Gets the enumeration value for this task factory.

- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Threading.Tasks.TaskScheduler To be added.

  This property returns the default scheduler for this factory. It will be used to schedule all tasks unless another scheduler is explicitly specified during calls to this factory's methods.

  If this property returns null, will be used.

  Gets the task scheduler for this task factory.

- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.